net.minecraftforge.client.event

## Class RenderPlayerEvent.SetArmorModel

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent
        - - net.minecraftforge.client.event.RenderPlayerEvent
          - - net.minecraftforge.client.event.RenderPlayerEvent.SetArmorModel

- Enclosing class:
    RenderPlayerEvent

      public static class RenderPlayerEvent.SetArmorModel
      extends RenderPlayerEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.RenderPlayerEvent

      `RenderPlayerEvent.Post, RenderPlayerEvent.Pre, RenderPlayerEvent.SetArmorModel, RenderPlayerEvent.Specials`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck, PlayerEvent.NameFormat`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `partialTick` Deprecated.
    `int` | `result` Setting this to any value besides -1 will result in the function being Immediately exited with the return value specified.
    `int` | `slot`
    `ItemStack` | `stack`

    - ### Fields inherited from class net.minecraftforge.client.event.RenderPlayerEvent

      `partialRenderTick, renderer`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPlayerEvent.SetArmorModel(EntityPlayer player, RenderPlayer renderer, int slot, float partialTick, ItemStack stack)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          public int result

      Setting this to any value besides -1 will result in the function being Immediately exited with the return value specified.

    - #### slot

          public final int slot

    - #### partialTick

          @Deprecated
          public final float partialTick

      Deprecated.

    - #### stack

          public final ItemStack stack

  - ### Constructor Detail

    - #### RenderPlayerEvent.SetArmorModel

          public RenderPlayerEvent.SetArmorModel(EntityPlayer player,
                                         RenderPlayer renderer,
                                         int slot,
                                         float partialTick,
                                         ItemStack stack)